=== debian/changelog ===
libjdns (2.0.3-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with CMake 4. (Closes: #1113162)
  * debian/control: Update Homepage.

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Oct 2025 19:51:40 +0200

libjdns (2.0.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062384

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 13:28:30 +0000

libjdns (2.0.3-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON to
    dh_auto_configure.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update Standards-Version to 4.6.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 10 Jul 2022 18:32:46 -0700

libjdns (2.0.3-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump debhelper compat to v13.
    + Apply "wrap-and-sort -abst".
    + Orphan the package.
    + Bump Standards-Version to 4.6.0.
    + Fix Vcs-* fields.
    + Minor package description fix. (Closes: #832002)
  * debian/: Drop manual -dbg packages.

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Mar 2022 17:53:14 -0400

libjdns (2.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Qt4 packages (Closes: #875022)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 07 Sep 2019 22:44:50 +0200

libjdns (2.0.3-1) unstable; urgency=low

  * Initial release to Debian. (Closes: #804275)

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Tue, 17 Nov 2015 17:50:00 +0100
