=== debian/control ===
Source: libjdns
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 cmake,
 debhelper-compat (= 13),
 qtbase5-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/psi-im/jdns
Vcs-Git: https://salsa.debian.org/debian/libjdns.git
Vcs-Browser: https://salsa.debian.org/debian/libjdns

Package: jdns
Section: misc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: command-line tool to test functionality
 Qt5-based command-line tool called 'jdns' that can be used to test
 DNS functionality.

Package: libjdns-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libjdns2t64 (= ${binary:Version}),
 ${misc:Depends},
Description: Simple DNS queries library - development files
 JDNS is a simple DNS implementation that can perform normal DNS
 queries of any record type (notably SRV), as well as Multicast DNS
 queries and advertising. Multicast support is based on Jeremie
 Miller's "mdnsd" implementation.
 .
 The libjdns-dev package contains libraries and header files for
 developing applications that use jdns.

Package: libjdns2t64
Provides: ${t64:Provides}
Replaces: libjdns2
Breaks: libjdns2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple DNS queries library
 JDNS is a simple DNS implementation that can perform normal DNS
 queries of any record type (notably SRV), as well as Multicast DNS
 queries and advertising. Multicast support is based on Jeremie
 Miller's "mdnsd" implementation.

Package: libqjdns-qt5-2t64
Provides: ${t64:Provides}
Replaces: libqjdns-qt5-2
Breaks: libqjdns-qt5-2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple DNS queries library  - Qt5 wrapper
 For Qt5 users there is a wrapper available called QJDns and a very
 high-level wrapper called QJDnsShared (under its original name
 JDnsShared).

Package: libqjdns-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libqjdns-qt5-2t64 (= ${binary:Version}),
 ${misc:Depends},
Description: Simple DNS queries library Qt5 wrapper - development files
 JDNS is a simple DNS implementation that can perform normal DNS
 queries of any record type (notably SRV), as well as Multicast DNS
 queries and advertising.
 .
 The libqjdns-qt5-dev package contains libraries and header files for
 developing Qt5 applications that use qjdns.
