=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/default.mk
QT5_PATH = build/qt5/so

%:
	dh $@

override_dh_auto_configure:
	mkdir -p $(QT5_PATH)
	dh_auto_configure -B$(QT5_PATH) -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DMULTI_QT=ON -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_auto_build:
	QT_SELECT=qt5 dh_auto_build -B$(QT5_PATH)

override_dh_auto_clean:
	dh_auto_clean -B$(QT5_PATH)

override_dh_auto_install:
	dh_auto_install -B$(QT5_PATH)

override_dh_strip:
	dh_strip --dbgsym-migration='jdns-dbg (<< 2.0.3-2~), libjdns-dbg (<< 2.0.3-2~), libqjdns-qt5-dbg (<< 2.0.3-2~)'
