=== debian/watch ===
version=3
http://delta.affinix.com/download/jdns-(.+).tar.bz2
